package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.common.log.annotation.Log;
import com.usky.common.log.enums.BusinessType;
import com.usky.iot.domain.BaseAlarmType;
import com.usky.iot.domain.BaseAppInfo;
import com.usky.iot.domain.BaseGgpFacility;
import com.usky.iot.service.BaseAlarmTypeService;
import com.usky.iot.service.BaseAppInfoService;
import com.usky.iot.service.vo.AppInfoRequest;
import com.usky.iot.service.vo.BaseGgpFacilityRequest;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

/**
 * <p>
 * APP用户心跳信息 前端控制器
 * </p>
 *
 * @author han
 * @since 2024-03-29
 */
@RestController
@RequestMapping("/baseAppInfo")
public class BaseAppInfoController {
    @Autowired
    private BaseAppInfoService baseAppInfoService;

    /**
     * 新增
     * @param baseAppInfo
     * @return
     */
    @PostMapping("add")
    public ApiResult<Void> add(@RequestBody BaseAppInfo baseAppInfo){
        baseAppInfoService.add(baseAppInfo);
        return ApiResult.success();
    }

    /**
     * 分页
     * @param appInfoRequest
     * @return
     */
    @Log(title = "设备列表分页", businessType = BusinessType.OTHER)
    @PostMapping("/page")
    public ApiResult<CommonPage<BaseAppInfo>> page(@RequestBody AppInfoRequest appInfoRequest)
    {
        return ApiResult.success(baseAppInfoService.page(appInfoRequest));
    }

}

