package com.usky.iot.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import lombok.*;
import org.springframework.data.annotation.Transient;

/**
 * <p>
 * 工作报告表
 * </p>
 *
 * @author fu
 * @since 2024-05-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class PmWorkReport implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 工作报告表主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 提交人ID
     */
    private Long submitterId;

    /**
     * 报告时间
     */
    private LocalDate reportDate;

    /**
     * 提交时间
     */
    private LocalDateTime submitDate;

    /**
     * 总工时
     */
    private BigDecimal totalHours;

    /**
     * 抄送人
     */
    private String ccTo;

    /**
     * 工作协调
     */
    private String coordinateWork;

    /**
     * 明日计划
     */
    private String tomorrowPlan;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 工作报告对应内容
     */
    @TableField(exist = false)
    private List<PmWorkContent> workContents;


}
